#version 120
varying vec2 uv;

uniform sampler2D textureSampler;
uniform sampler2D maskTextureSampler;

void main() {
	vec4 texColor = texture2D(textureSampler, uv).rgba;
	float maskValue = texture2D(maskTextureSampler, uv).r;
	gl_FragColor = vec4(texColor * maskValue);
}